Subject: Re: bug#12542: [PATCH] du: avoid abort on systems for which ->me_type is not malloc'd
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Sun, 30 Sep 2012 14:43:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim Meyering wrote:
> I noticed that "make check" was failing a fundamental test of du
> on OpenBSD.  It would have been trivial to diagnose with valgrind,
> but that tool wasn't easily available on the affected system...

I've just pushed the patch.
A better one should come soon, in which I add
a function in mountlist.c (declared in the .h file)
by which to encapsulate this mount-entry freeing process.